%define orig_name lxterminal

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-lxterminal
Summary:	lightweight VTE-based terminal emulator
URL:		http://lxde.org/
License:	GPL
Version:	0.1.6
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}
#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: vte-devel
BuildRequires: zlib-devel

%description
LXterminal is a VTE-based terminal emulator with support for multiple tabs.
It is completely desktop-independent and does not have any unnecessary
dependencies. In order to reduce memory usage and increase the performance
all instances of the terminal are sharing a single process.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}

%build
%configure --disable-debug
touch -r po/Makefile po/stamp-it
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/locale/
%{_datadir}/lxterminal/
%{_datadir}/pixmaps/
%{_mandir}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.6-1
- Version update
- rename package to lxde-lxterminal
* Sun Mar 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.4-1
- Version update
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- initial CCux package release
